.filter {
	position: relative;
	background: $white;

	&:after,
	&:before {
		top: 0;
		bottom: 0;
		z-index: 1;
		content: '';
		width: 500px;
		display: block;
		background: $white;
		position: absolute;
	}

	&:after {
		left: 100%;
	}

	&:before {
		right: 100%;
	}

	&__header {
		height: 64px;
		display: flex;
		align-items: center;
		justify-content: space-between;
		color: $black;
		font-weight: 700;
		padding: 12px 16px;
		text-decoration: none;
		border-bottom: 1px solid $gray-100;

		&--content {
			display: flex;
			align-items: center;
		}

		&--title {
			font-size: font-size-rel(18px);
			line-height: font-size-rel(20px);
		}

		&--arrow {
			width: 24px;
			height: 24px;
			font-size: 0;
			line-height: 0;
			display: none;
			cursor: pointer;
			transform: rotate(-90deg);
			transition: .3s;

			&.toggle {
				transform: rotate(90deg);
				transition: .3s;
			}

			svg {
				stroke: $black;
			}
		}

		&--button {
			margin-left: 12px;
		}

		&:hover {
			color: $black;
			text-decoration: none;
		}
	}

	&__group {
		padding: 26px 16px;
		border-bottom: 1px solid $gray-100;

		&--header {
			font-size: font-size-rel(16px);
			line-height: font-size-rel(20px);
			display: flex;
			align-items: center;
			justify-content: space-between;

			svg {
				stroke: $black;
			}
		}

		&--arrow {
			width: 24px;
			height: 24px;
			font-size: 0;
			line-height: 0;
			cursor: pointer;
			display: inline-block;
			transform: rotate(-90deg);
			transition: .3s;

			&.toggle {
				transform: rotate(90deg);
				transition: .3s;
			}
		}

		&--list {
			margin: 0;
			padding: 0;
			list-style: none;

			li {
				margin-bottom: 15px;

				&:last-child {
					margin-bottom: 0;
				}
			}
		}

		&--content {
			padding-top: 15px;
		}

		.btn {
			width: 100%;
			margin: 0 auto;
			max-width: 300px;
		}
	}

	&__price {
		margin-bottom: 20px;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(20px);
		display: flex;
		align-items: center;
		justify-content: space-between;

		&--value {
			width: 100px;
		}

		&--input {
			width: 100%;
			height: 30px;
			display: block;
			color: $purple-100;
			text-align: center;
			border-radius: 6px;
			padding: 6px 0 4px 0;
			vertical-align: mathematical;
			font-size: font-size-rel(16px);
			line-height: font-size-rel(18px);
			border: 1px solid $purple-100;

			&:disabled {
				background: transparent;
			}
		}
	}

	&__range {

		.irs-to,
		.irs-from {
			display: none !important;
		}

		.irs--round {
			height: 45px;

			.irs-handle {
				top: 0;
				width: 20px;
				height: 20px;
				background: $purple-100;
				border-color: $purple-100;
				box-shadow: none;
			}

			.irs-bar {
				top: 8px;
				background: $purple-100;
			}

			.irs-line {
				top: 8px;
			}

			.irs-min,
			.irs-max {
				top: 28px;
				padding: 0;
				border: none;
				visibility: visible !important;
				background: transparent;
			}
		}
	}

	@media (min-width: $screen-sm-min) {

		&:after,
		&:before {
			display: none;
		}

		&__group {

			&--list {

				li {
					margin-bottom: 18px;

					&:last-child {
						margin-bottom: 0;
					}
				}
			}
		}
	}

	@media (min-width: $screen-lg-min) {
		display: block;

		&__header {

			&--title {
				font-size: font-size-rel(20px);
				line-height: font-size-rel(23px);
			}

			&--arrow {
				display: inline-block;
			}

			&--button {
				display: none;
			}
		}
	}


	@media (min-width: $screen-xl-min) {

		&__header {
			padding: 10px 34px 10px 26px;
		}

		&__group {
			padding: 26px 34px 30px 26px;
		}
	}
}

.filter-button {
	color: $black;
	display: flex;
	margin: 0;
	padding: 0;
	border: none;
	outline: none;
	white-space: nowrap;
	align-items: center;
	background: transparent;
	font-size: font-size-rel(14px);
	line-height: font-size-rel(18px);

	svg {
		stroke: $black;
	}

	i {
		top: 2px;
		width: 24px;
		height: 25px;
		font-size: 0;
		line-height: 0;
		position: relative;
	}

	span {
		padding-left: 12px;
		display: inline-block;
	}

	&:hover {
		color: $black;

		svg {
			stroke: $black;
		}
	}
}